%global srcname faulthandler

Name:           python2-%{srcname}
Version:        3.1
Release:        1%{?dist}
Summary:        Display the Python traceback on a crash

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose

%description
Fault handler for SIGSEGV, SIGFPE, SIGABRT, SIGBUS and SIGILL signals:
display the Python traceback and restore the previous handler.
Allocate an alternate stack for this handler, if sigaltstack() is available,
to be able to allocate memory on the stack, even on stack overflow.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%py2_build

%install
%py2_install

%check
# Create sitecustomize.py to process .pth files in non-standard site dir
echo -e "import site\nsite.addsitedir(\"%{buildroot}%{python2_sitearch}\")" > %{buildroot}%{python2_sitearch}/sitecustomize.py

# On i686 we can run all tests
%ifarch i686
PYTHONPATH=%{buildroot}%{python2_sitearch} nosetests-%{python2_version}
%else
# On other archs we need to skip one test
PYTHONPATH=%{buildroot}%{python2_sitearch} nosetests-%{python2_version} --exclude=test_stack_overflow
%endif
# Remove sitecustomize.py after tests
rm %{buildroot}%{python2_sitearch}/sitecustomize.py*

%files
%doc README.rst AUTHORS TODO
%license COPYING
%{python2_sitearch}/%{srcname}.so
%{python2_sitearch}/%{srcname}.pth
%{python2_sitearch}/%{srcname}-%{version}-py%{python2_version}.egg-info/

%changelog
* Tue Apr 24 2018 Lumír Balhar <lbalhar@redhat.com> - 3.1-1
- New upstream version
- Removed downstream patch (merged to upstream)
- Fixed changelog

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Lumír Balhar <lbalhar@redhat.com> - 3.0-2
- New patch from upstream source (issue #32)
- New approach how to process .pth file in non-standard site directory

* Sun Sep 17 2017 Lumír Balhar <lbalhar@redhat.com> - 3.0-1
- New upstream version

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 29 2016 Dominika Krejci <dkrejci@redhat.com> - 2.4-1
- Inital release

